Index: configure.in
===================================================================
RCS file: /projects/cvsroot/pgsql-server/configure.in,v
retrieving revision 1.377
diff -c -r1.377 configure.in
*** configure.in	17 Sep 2004 22:31:59 -0000	1.377
--- configure.in	24 Sep 2004 18:04:11 -0000
***************
*** 584,590 ****
  
  if test "$with_python" = yes; then
    PGAC_PATH_PYTHON
!   PGAC_CHECK_PYTHON_EMBED_SETUP
  fi
  
  
--- 584,592 ----
  
  if test "$with_python" = yes; then
    PGAC_PATH_PYTHON
!   if test "$PORTNAME" != "win32"
!      PGAC_CHECK_PYTHON_EMBED_SETUP
!   fi
  fi
  
  
Index: src/pl/plpython/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/pl/plpython/Makefile,v
retrieving revision 1.13
diff -c -r1.13 Makefile
*** src/pl/plpython/Makefile	21 Jan 2004 19:04:11 -0000	1.13
--- src/pl/plpython/Makefile	24 Sep 2004 18:22:52 -0000
***************
*** 11,16 ****
--- 11,20 ----
  ifneq (,$(wildcard $(python_configdir)/libpython*$(DLSUFFIX)*))
  shared_libpython = yes
  endif
+ ifeq ($(PORTNAME), win32)
+ shared_libpython = yes
+ python_includespec := $(subst /python2.3,,$(subst \,/,$(python_includespec)))
+ endif
  
  # If we don't have a shared library and the platform doesn't allow it
  # to work without, we have to skip it.
***************
*** 24,29 ****
--- 28,42 ----
  SO_MINOR_VERSION = 0
  OBJS = plpython.o
  
+ ifeq ($(PORTNAME), win32)
+ OBJS += libpython23.a
+ libpython23.a: python23.def
+ 	dlltool --dllname python23.dll --def python23.def --output-lib  libpython23.a
+ WD=$(subst \,/,$(WINDIR))
+ python23.def: $(WD)/system32/python23.dll
+ 	pexports $(WD)/system32/python23.dll > python23.def
+ endif
+ 
  SHLIB_LINK = $(BE_DLLLIBS) $(python_libspec)
  
  include $(top_srcdir)/src/Makefile.shlib
***************
*** 49,54 ****
--- 62,70 ----
  clean distclean maintainer-clean: clean-lib
  	rm -f $(OBJS)
  	@rm -f error.diff feature.diff error.output feature.output test.log
+ ifeq ($(PORTNAME), win32)
+ 	rm -f python23.def
+ endif
  
  installcheck:
  	PATH=$(bindir):$$PATH $(SHELL) $(srcdir)/test.sh
